
Redmine - Defect #35162

Redmine Agile Plugin no longer working 

2021-04-26 21:35 - Christopher Roberts

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Last week we upgraded Redmine from 4.0 to 4.2. During the process we installed two plugins (Automation Plugin, and Reporting

Plugin from alphanodes.com)

Agile plugin is shown in the administration settings. Agile settings can be changed. However when clicking on an agile board within a

project the user gets Internal Error (An error occurred on the page you were trying to access.)

Below is the log entry from production.log:

NoMethodError (undefined method `groupable' for #<QueryColumn:0x000000000b739bb8>):

plugins/redmine_agile/app/models/agile_query.rb:427:in `block in groupable_columns'

plugins/redmine_agile/app/models/agile_query.rb:427:in `select'

plugins/redmine_agile/app/models/agile_query.rb:427:in `groupable_columns'

app/models/query.rb:907:in `group_by_column'

app/models/query.rb:890:in `group_by_sort_order'

plugins/redmine_agile/app/models/agile_query.rb:571:in `issues'

plugins/redmine_agile/app/controllers/agile_boards_controller.rb:64:in `index'

plugins/redmine_reporting/lib/redmine_reporting/sweeper.rb:23:in `around'

plugins/redmine_reporting/lib/redmine_reporting/sweeper.rb:23:in `around'

lib/redmine/sudo_mode.rb:61:in `sudo_mode'

Started GET "/" for 127.0.0.1 at 2021-04-26 13:33:54 -0600

Processing by WelcomeController#index as HTML

  Current user: anonymous

Redirected to https://192.168.9.213/login?back_url=https%3A%2F%2F192.168.9.213%2F

Filter chain halted as :check_if_login_required rendered or redirected

Completed 302 Found in 3ms (ActiveRecord: 0.5ms)

Started GET "/agile/board" for 127.0.0.1 at 2021-04-26 13:34:40 -0600

Processing by AgileBoardsController#index as HTML

  Current user: Chris.Roberts (id=13)

Completed 500 Internal Server Error in 39ms (ActiveRecord: 9.1ms)

History

#1 - 2021-04-26 22:43 - Marius BĂLTEANU

- Description updated

- Status changed from New to Closed

- Resolution set to Invalid

It's a compatibility issue between plugin version and Redmine version, you should contact plugin author for support. Here we provide support only for

Redmine core.

#2 - 2021-04-27 08:32 - Bernhard Rohloff

Just FYI. While upgrading an installation I think I was faced with the same situation.

The output looks very similar. There where some refactoring efforts in this part of Redmine and a function/method which is used by the redmine_agile

plugin has been renamed.

Open app/models/agile_query.rb  in the redmine_agile plugin folder. Look for the function groupable_columns and replace the function call

c.groupable with c.groupable? and that's it.

Afterwards the function should look like this.
def groupable_columns                                                         

     available_columns.select { |c| c.groupable? && !c.is_a?(QueryCustomFieldColumn) }

end 

 I hope I could help you.

Kind regards,

Bernhard

#3 - 2022-12-13 12:33 - Dimitar (RedmineUP)

Dear Christopher,

This is Dimitar from the RedmineUP Support Team.

In relation to the problem that you reported on our Agile plugin, could you please contact our support team at support@redmineup.com? And our

support engineers will help you investigate the situation.

We look forward to hearing from you.

Best Regards,

Dimitar from the RedmineUP Support Team

Christopher Roberts wrote:

Last week we upgraded Redmine from 4.0 to 4.2. During the process we installed two plugins (Automation Plugin, and Reporting Plugin from

alphanodes.com)

Agile plugin is shown in the administration settings. Agile settings can be changed. However when clicking on an agile board within a project the

user gets Internal Error (An error occurred on the page you were trying to access.)

Below is the log entry from production.log:

[...]

Powered by TCPDF (www.tcpdf.org)

2025-07-15 2/2

mailto:support@redmineup.com
http://www.tcpdf.org

